Import reference

Import endpoint authentication, parameters, request and response contracts.

Last updated:

On this pagePOST /api/p/{pid}/importPOST /api/p/{pid}/import/{token}/farkPOST /api/p/{pid}/import/{token}

Paths, methods, parameters and available schemas are generated from the OpenAPI document in the repository.

Note: These endpoints form the browser application contract and do not provide the same versioning assurance as v1. Use the versioned API for external integrations.

POST /api/p/{pid}/import

Upload import file

Authentication: User session (cookie). Scope: Relevant organisation/project membership and operation permission; writes also check the current role, module and licence permissions.

Parameters

NameLocationTypeRequired
pidpathintegerYes

Request body

multipart/form-data

FieldTypeRequiredDescription
filestringYes

Responses

HTTP 200

application/json

This OpenAPI document does not define a body schema. See the relevant developer guide for details.

HTTP 422

application/json

FieldTypeRequiredDescription
detailValidationError[]No

For error meanings and client actions, see the error code glossary.

POST /api/p/{pid}/import/{token}/fark

Compare import changes

Authentication: User session (cookie). Scope: Relevant organisation/project membership and operation permission; writes also check the current role, module and licence permissions.

Parameters

NameLocationTypeRequired
pidpathintegerYes
tokenpathstringYes

Request body

application/json

FieldTypeRequiredDescription
kaynak_idintegerYes
crsstringYes
groupsobjectYes
anahtar_alanistring | nullNo

Responses

HTTP 200

application/json

This OpenAPI document does not define a body schema. See the relevant developer guide for details.

HTTP 422

application/json

FieldTypeRequiredDescription
detailValidationError[]No

For error meanings and client actions, see the error code glossary.

POST /api/p/{pid}/import/{token}

Commit import

Authentication: User session (cookie). Scope: Relevant organisation/project membership and operation permission; writes also check the current role, module and licence permissions.

Parameters

NameLocationTypeRequired
pidpathintegerYes
tokenpathstringYes

Request body

application/json

FieldTypeRequiredDescription
crsstringYes
groupsobjectYes
kaynakobject | nullNo
anahtar_alanistring | nullNo
hedefstringNo
kararlarobjectNo
request_idstring | nullNo

Responses

HTTP 200

application/json

This OpenAPI document does not define a body schema. See the relevant developer guide for details.

HTTP 422

application/json

FieldTypeRequiredDescription
detailValidationError[]No

For error meanings and client actions, see the error code glossary.